STRUCT TEMPLATE LE(3)

NAME
boost::proto::result_of::left - A metafunction that returns the type of the left child of a binary Proto expression.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename Expr>
struct left :  proto::result_of::child_c< Expr, 0 > {
};

DESCRIPTION

proto::result_of::left<Expr> is equivalent to proto::result_of::child_c<Expr, 0>.